LFR-FSW - Bug #353

fonction sendOneTimecode n'est pas disponble dans SpwPlugin0
06/03/2015 10:19 AM - Veronique bouzid

Status: Closed Start date: 06/03/2015
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Dans le script SVS-0034, on a besoin d'envoi un timecode unitairement.
Avant on utilisait
RMAPPIugin0.sendOneTimecode()

En utilisant le SpwPlugin, on retrouve I'envoi periodique de timecode mais pas I'envoi d'UN timecode

Contexte de test

Contexte :

FSW 2.0.2.2

VHDL 1.1.63

EM 1

SocExplorerEngine.getSocExplorer: Version = 0.4.5, Branch = default, Changeset = c4b98d42ee59
StarDundee spacewire

Mini-LFR n°5 en mode TIMEGEN

History

#1 - 04/06/2015 03:40 PM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to Veronique bouzid

Fonction remplacée par:
SpwPlugin0.StarDundeeSendOneTimecode( value )

ou value est une valeur de timecode valide. Attention, il faut envoyer une série de timecodes valides pour qu'ils soient pris en compte par LFR et
donc reflété dans les TM_LFR_HK. Par exemple:
SpwPlugin0.StarDundeeSendOneTimecode( 21 )
SpwPlugin0.StarDundeeSendOneTimecode( 22 )
SpwPlugin0.StarDundeeSendOneTimecode( 23 )

#2 - 05/06/2015 02:32 PM - Veronique bouzid
- Status changed from Resolved to Feedback

- Assignee changed from Veronique bouzid to paul leroy

La fonction a été testée a 'aide du script
/opt/VALIDATION_R3/Ifrverif/LFR_SVS/SVS-0011/starting_time_step1.py.

On envoie une TC_LFR_UPDATE_TIME et on attend 0.3s avant d'envoi 10 timecode valides (increment de 1).
for i in range(10):
SpwPlugin0.StarDundeeSendOneTimecode (i)

12:31:20.196781, TM_LFR_HK, TIME=0x80000009319f, HK_LFR_UPDATE_TIME_TC_CNT=0, HK_LFR_DPU_SPW_TICK_OUT_CNT=0,
HK_LFR_DPU_SPW_LAST TIMC=0

12:31:20.901267, TC_LFR_UPDATE_TIME, CP_RPW_TIME=0x000000000000

12:31:21.196706, TM_LFR_HK, TIME=0x8000000a319f, HK_LFR_UPDATE_TIME_TC_CNT=1, HK_LFR_DPU_SPW_TICK_OUT_CNT=0,
HK_LFR_DPU_SPW_LAST TIMC=0

12:31:22.19677, TM_LFR_HK, TIME=0x00000007fb34, HK_LFR_UPDATE_TIME_TC_CNT=1, HK_LFR_DPU_SPW_TICK_OUT CNT=8,
HK_LFR_DPU_SPW_LAST TIMC=9

Il me semble que le temps obtenu sur la derniere HK n'est pas correct, cela devrait etre proche de 1s ou 2s et non 7s.
Les logs du test se trouvent dans /home/validation/data/R3/3.0.0.3/SVS-0011/step1

Contexte du test

FSW 3.0.0.3

VHDL 1.1.83

EM1 sans timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

#3 - 09/06/2015 10:24 AM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

Il faudrait espacer tes timecodes (de 1 seconde par exemple), sinon I'norloge locale s'incrémente seule a chaque réception. Relire éventuellement la
doc de Jean-Christophe pour comprendre le mécanisme d'incrémentation de I'horloge locale.

#4 - 26/06/2015 02:02 PM - Veronique bouzid
- Status changed from Feedback to Closed

Il semble que je n'utilisais pas correctement la fonction SpwPlugin0.StarDundeeSendOneTimecode.

j'ai modifié mon script /opt/VALIDATION_R3/Ifrverif/LFR_SVS/SVS-0011/starting_time_step1.py pour n'envoyer que le nbre de time-code
nécessaires
(2 time code valid sent from 1 to 2) apreés I'envoi de TC_LFR_UPDATE_TIME

09:51:19.227994, TM_LFR_HK, TIME=0x8000000831b8

09:51:20.228145, TM_LFR_HK, TIME=0x8000000931b8

09:51:20.936575, TC_LFR_UPDATE_TIME (CP_RPW_TIME=0x000000000000)
09:51:21.227792, TM_LFR_HK, TIME=0x8000000a31b8

09:51:22.228006, TM_LFR_HK, TIME="0x00000001fc89*

09:51:23.22774, TM_LFR_HK, TIME=0x00000002fc89

09:51:24.227764, TM_LFR_HK, TIME=0x00000003fc89

ensuite j'attends la desynchronisation

09:52:22.227882, TM_LFR_HK, TIME=0x0000003dfc89
09:52:23.227892, TM_LFR_HK, TIME=0x8000003efc89
09:52:24.227891, TM_LFR_HK, TIME=0x8000003ffc89

et je renvoie une TC_LFR_UPDATE_TIME avec CP_RPW_TIME=0x1d0a30570000
09:52:32.22785, TM_LFR_HK, TIME=0x80000047{c89

09:52:32.242853, TC_LFR_UPDATE_TIME

09:52:33.227786, TM_LFR_HK, TIME=0x1d0a3057aed2

09:52:34.227858, TM_LFR_HK, TIME=0x1d0a3058aed2

les fichiers de log (2015_06_26-09_52_38*) sont dans /home/validation/data/R3/3.0.0.7/SVS-0011

Contexte du test

FSW 3.0.0.7

VHDL 1.1.83 (_c car chgt de contrainte sur timing)

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee
